curl -X POST https://api.helvcore.ch/v1/settlement-candidates/{candidate_id}/allocation-handoffs \
-H "Authorization: Bearer $HELVCORE_API_KEY" \
-H "Idempotency-Key: $(uuidgen)" \
-H "Content-Type: application/json" \
-d '{
"open_ar_snapshot": {
"amount_minor": 123,
"currency": "CHF"
},
"reviewer_justification": "string",
"end_customer_id": "00000000-0000-4000-8000-000000000000",
"payment_id": "string",
"proposed_amount": {
"amount_minor": 123,
"currency": "CHF"
},
"target_document_id": "string",
"target_override_reason": "string"
}'const res = await fetch("https://api.helvcore.ch/v1/settlement-candidates/{candidate_id}/allocation-handoffs", {
method: "POST",
headers: {
"Authorization": `Bearer ${process.env.HELVCORE_API_KEY}`,
"Idempotency-Key": crypto.randomUUID(),
"Content-Type": "application/json"
},
body: JSON.stringify({
"open_ar_snapshot": {
"amount_minor": 123,
"currency": "CHF"
},
"reviewer_justification": "string",
"end_customer_id": "00000000-0000-4000-8000-000000000000",
"payment_id": "string",
"proposed_amount": {
"amount_minor": 123,
"currency": "CHF"
},
"target_document_id": "string",
"target_override_reason": "string"
})
});
const data = await res.json();import os, requests, uuid
headers = {"Authorization": f"Bearer {os.environ['HELVCORE_API_KEY']}"}
headers["Idempotency-Key"] = str(uuid.uuid4())
headers["Content-Type"] = "application/json"
res = requests.post("https://api.helvcore.ch/v1/settlement-candidates/{candidate_id}/allocation-handoffs", headers=headers, json={
"open_ar_snapshot": {
"amount_minor": 123,
"currency": "CHF"
},
"reviewer_justification": "string",
"end_customer_id": "00000000-0000-4000-8000-000000000000",
"payment_id": "string",
"proposed_amount": {
"amount_minor": 123,
"currency": "CHF"
},
"target_document_id": "string",
"target_override_reason": "string"
})
data = res.json()
curl -X POST https://api.helvcore.ch/v1/settlement-candidates/{candidate_id}/allocation-handoffs \
-H "Authorization: Bearer $HELVCORE_API_KEY" \
-H "Idempotency-Key: $(uuidgen)" \
-H "Content-Type: application/json" \
-d '{
"open_ar_snapshot": {
"amount_minor": 123,
"currency": "CHF"
},
"reviewer_justification": "string",
"end_customer_id": "00000000-0000-4000-8000-000000000000",
"payment_id": "string",
"proposed_amount": {
"amount_minor": 123,
"currency": "CHF"
},
"target_document_id": "string",
"target_override_reason": "string"
}'
201
{
"open_ar_snapshot": {
"amount_minor": 123,
"currency": "CHF"
},
"reviewer_justification": "string",
"end_customer_id": "00000000-0000-4000-8000-000000000000",
"payment_id": "string",
"proposed_amount": {
"amount_minor": 123,
"currency": "CHF"
},
"target_document_id": "string",
"target_override_reason": "string"
}
{
"accounting_finality": "none",
"actor_id": "string",
"actor_type": "string",
"allocation_id": {},
"allocation_request_payload": {},
"allocation_request_payload_hash": "string",
"candidate_hash": "string",
"candidate_id": "string",
"end_customer_id": "00000000-0000-4000-8000-000000000000",
"id": "string",
"idempotency_key": "string",
"import_id": "string"
}
{
"open_ar_snapshot": {
"amount_minor": 123,
"currency": "CHF"
},
"reviewer_justification": "string",
"end_customer_id": "00000000-0000-4000-8000-000000000000",
"payment_id": "string",
"proposed_amount": {
"amount_minor": 123,
"currency": "CHF"
},
"target_document_id": "string",
"target_override_reason": "string"
}